Add a Pushover integration (user key + app token).
POST
/integration/pushover/
const url = 'https://api.siteqwality.com/integration/pushover/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"friendly_name":"example","user_key":"example","app_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/integration/pushover/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "friendly_name": "example", "user_key": "example", "app_token": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
friendly_name
required
string
user_key
required
Pushover user (or group) key.
string
app_token
required
API token of the Pushover application.
string
Example generated
{ "friendly_name": "example", "user_key": "example", "app_token": "example"}Responses
Section titled “ Responses ”Pushover integration added
Invalid request body
Missing or invalid authentication
Internal server error